Skip to main content
POST
Create manual transaction
This endpoint can only be used to create manual transactions that are under a manual account. This endpoint accepts the optional MX-Skip-Webhook header and skip_webhook parameter.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

user_guid
string
required

The unique identifier for a user, beginning with the prefix USR-.

account_guid
string
required

The unique id for an account.

Body

application/json
transaction
object

Response

200 - application/vnd.mx.api.v1+json

OK

account_guid
string | null
Example:

"ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1"

account_id
string | null
Example:

"account123"

amount
number
Example:

61.11

category
string | null
Example:

"Groceries"

category_guid
string | null
Example:

"CAT-b6d61a19-30a7-e852-2703-bdfb4072289e"

check_number_string
string | null
Example:

null

created_at
string | null
Example:

"2016-10-08T09:43:42.000Z"

currency_code
string | null
Example:

"USD"

date
string | null
Example:

"2016-10-06T00:00:00.000Z"

description
string | null
Example:

"Whole foods"

extended_transaction_type
string | null
Example:

null

guid
string | null
Example:

"TRN-265abee9-889b-af6a-c69b-25157db2bdd9"

id
string | null
Example:

null

is_bill_pay
boolean | null
Example:

false

is_direct_deposit
boolean | null
Example:

false

is_expense
boolean | null
Example:

true

is_fee
boolean | null
Example:

false

is_income
boolean | null
Example:

false

is_international
boolean | null
Example:

false

is_manual
boolean | null
Example:

true

is_overdraft_fee
boolean | null
Example:

false

is_payroll_advance
boolean | null
Example:

false

is_recurring
boolean | null
Example:

null

is_subscription
boolean | null
Example:

false

latitude
number | null
Example:

null

localized_description
string | null
Example:

null

localized_memo
string | null
Example:

null

longitude
number | null
Example:

null

member_guid
string | null
Example:

"MBR-7c6f361b-e582-15b6-60c0-358f12466b4b"

member_is_managed_by_user
boolean | null
Example:

true

memo
string | null
Example:

"This is a memo"

merchant_category_code
integer | null
Example:

null

merchant_guid
string | null
Example:

null

merchant_location_guid
string | null
Example:

null

metadata
string | null
Example:

"some metadata"

original_description
string | null
Example:

null

posted_at
string | null
Example:

null

status
string | null
Example:

null

top_level_category
string | null
Example:

"Food & Dining"

transacted_at
string | null
Example:

null

type
string
Example:

"DEBIT"

updated_at
string
Example:

"2016-10-08T05:49:12.000Z"

user_guid
string | null
Example:

"USR-fa7537f3-48aa-a683-a02a-b18940482f54"

user_id
string | null
Example:

"user123"